# 32/64 bit spec
#

Summary:	User switching plugin for Xfce desktop environment
Summary(de):	Plugin für den Benutzerwechsel
Name:		xfswitch-plugin
Version:	0.0.1
Release:	%mkrel 9
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://goodies.xfce.org/projects/panel-plugins/xfswitch-plugin/
Source0:	http://goodies.xfce.org/releases/xfswitch-plugin/%{name}-%{version}.tar.xz
BuildRequires:	xfce4-panel-devel >= 4.5.99.1
BuildRequires:	libxfcegui4-devel
BuildRequires:  libtool
BuildRequires:  libtool-base
BuildRequires:  %{_lib}ltdl7
BuildRequires:	glib2-devel
BuildRequires:	gtk2-devel
BuildRequires:	%{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:	cairo-devel
Requires:	gdm
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Xfswitch-plugin is a user switching plugin, which allows you 
to leave the current session opened and open a new session 
with another user.

%description -l de
Xfswitch-plugin ist eine Erweiterung zum Wechseln des Benutzers, welche
es Ihnen erlaubt die aktuelle, geöffnete Sitzung zu verlassen und eine neue
Sitzung mit einem anderen Benutzer zu öffnen.

%prep
%setup -q

%build
%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_libdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/%{name}.desktop
%{_datadir}/locale/*


%changelog
* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 0.0.1-9pclos2015
- rebuild against new libxfce4util7

* Thu Jun 27 2013 ghostbunny <ghostbunny at gmx dot de> 0.0.1-8pclos2013
- changed R gdm-legacy to just gdm related to package name change of gdm-legacy

* Tue Sep 25 2012 Neal <nealbrks0 at gmail dot com> 0.0.1-7pclos2012
- change Requires: gdm to Requires: legacy-gdm

* Mon Sep 24 2012 Neal <nealbrks0 at gmail dot com> 0.0.1-6pclos2012
- change BuildRequires: %{_lib}xfcegui4-devel to BuildRequires: libxfcegui4-devel
- change BuildRequires: %{_lib}xfce4-panel-devel to BuildRequires: xfce4-panel-devel
- 64bit

* Thu Sep 13 2012 Neal <nealbrks0 at gmail dot com> 0.0.1-6pclos2012
- add BuildRequires: %{_lib}xfcegui4-devel
- process

* Wed Sep 12 2012 ghostbunny <ghostbunny at gmx dot de> 0.0.1-6pclos2012
- rebuild against new xfce-panel 

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.0.1-5pclos2012
- rebuild

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 0.0.1-4pclos2011
- updated for xfce4.8

* Sun Oct 24 2010 Sproggy <desproggster@gmail.com> 0.0.1-3pclos2010
- update for xfce4.8pre1
